Bug 250098 - x11-wm/compiz: Errors when removing package: Failed to open `/usr/local/etc/gconf/schemas/gwd.schemas': No such file or directory
Summary: x11-wm/compiz: Errors when removing package: Failed to open `/usr/local/etc/g...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on: 210969
Blocks:
  Show dependency treegraph
 
Reported: 2020-10-04 16:36 UTC by Mateusz Piotrowski
Modified: 2021-06-07 02:14 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (portmaster)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mateusz Piotrowski freebsd_committer 2020-10-04 16:36:34 UTC
Here's what happens when the compiz package is getting removed:

    $ sudo pkg remove compiz
    Checking integrity... done (0 conflicting)
    Deinstallation has been requested for the following 1 packages (of 0 packages in the universe):
    
    Installed packages to be REMOVED:
            compiz: 0.8.8_9
    
    Number of packages to be removed: 1
    
    The operation will free 7 MiB.
    
    Proceed with deinstalling packages? [y/N]: y
    [1/1] Deinstalling compiz-0.8.8_9...
    [1/1] Deleting files for compiz-0.8.8_9: 100%
    I/O warning : failed to load external entity "/usr/local/etc/gconf/schemas/gwd.schemas"
    Failed to open `/usr/local/etc/gconf/schemas/gwd.schemas': No such file or directory
    ...
    I/O warning : failed to load external entity "/usr/local/etc/gconf/schemas/compiz-zoom.schemas"
    Failed to open `/usr/local/etc/gconf/schemas/compiz-zoom.schemas': No such file or directory
Comment 1 Chris Hutchinson 2021-05-11 18:59:33 UTC
Sorry. I somehow seemed to have missed this.

What's the output
uname -aKU

Compiz is now at version 0.8.8_11
does this still occur using the latest version?

Thanks for the report! :-)

--Chris
Comment 2 Alexey Dokuchaev freebsd_committer 2021-05-19 08:07:19 UTC
(In reply to Chris Hutchinson from comment #1)
> Sorry. I somehow seemed to have missed this.
This has nothing to do with the port, the bug is in /usr/ports/Mk/Uses/gnome.mk.  The fix had been proposed almost five years (sic!) ago, but was ignored. :-(
Comment 3 Chris Hutchinson 2021-05-19 16:17:35 UTC
(In reply to Alexey Dokuchaev from comment #2)
> This has nothing to do with the port, the bug is in /usr/ports/Mk/Uses/gnome.mk.  > The fix had been proposed almost five years (sic!) ago, but was ignored. :-(
Bummer. Sorry to hear that. :-(
I don't have commit on ports tree.
Can you close this, with a recommendation to re-open
if it should happen again.
If it does. Maybe we can _both_ suggest your proposal. ;-)

Thanks, Alexey! :-)

--Chris
Comment 4 Chris Hutchinson 2021-05-19 16:22:53 UTC
(In reply to Chris Hutchinson from comment #3)
D'OH! I missed the reference to bug #210969

This time for sure. ;-)

--Chris
Comment 5 Alexey Dokuchaev freebsd_committer 2021-06-07 02:14:53 UTC
Should no longer be an issue now that bug #210969 had been fixed, thanks for reporting!